DropTopology
Prev | 10.3. Topology and TopoGeometry Management | Next

## Name

DropTopology — Use with caution: Drops a topology schema and deletes its reference from topology.topology table and references to tables in that schema from the geometry_columns table.

## Synopsis

`integer DropTopology(`varchar topology_schema_name`)`;

## Description

Drops a topology schema and deletes its reference from topology.topology table and references to tables in that schema from the geometry_columns table. This function should be USED WITH CAUTION, as it could destroy data you care about. If the schema does not exist, it just removes reference entries the named schema.

Availability: 1.1

## Examples

Cascade drops the ma_topo schema and removes all references to it in topology.topology and geometry_columns.

    SELECT topology.DropTopology('ma_topo');

## See Also

DropTopoGeometryColumn

Prev | Up | Next
AddTopoGeometryColumn | Home | DropTopoGeometryColumn